<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: gtest_xml_output_unittest.GTestXMLOutputUnitTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classgtest__xml__output__unittest_1_1GTestXMLOutputUnitTest.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">gtest_xml_output_unittest.GTestXMLOutputUnitTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for gtest_xml_output_unittest.GTestXMLOutputUnitTest:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classgtest__xml__output__unittest_1_1GTestXMLOutputUnitTest__inherit__graph.svg" width="208" height="216"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for gtest_xml_output_unittest.GTestXMLOutputUnitTest:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classgtest__xml__output__unittest_1_1GTestXMLOutputUnitTest__coll__graph.svg" width="208" height="216"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a310c136c1eb2b421f57651a7d358b17a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgtest__xml__output__unittest_1_1GTestXMLOutputUnitTest.html#a310c136c1eb2b421f57651a7d358b17a">testNonEmptyXmlOutput</a> (self)</td></tr>
<tr class="separator:a310c136c1eb2b421f57651a7d358b17a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9602f91fe2e9d1e09171a032e94a5619"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgtest__xml__output__unittest_1_1GTestXMLOutputUnitTest.html#a9602f91fe2e9d1e09171a032e94a5619">testEmptyXmlOutput</a> (self)</td></tr>
<tr class="separator:a9602f91fe2e9d1e09171a032e94a5619"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a828521a7ae57f650e1e9ca4beb34336a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgtest__xml__output__unittest_1_1GTestXMLOutputUnitTest.html#a828521a7ae57f650e1e9ca4beb34336a">testTimestampValue</a> (self)</td></tr>
<tr class="separator:a828521a7ae57f650e1e9ca4beb34336a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01ca66e14468028e5c4eb809987113cf"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgtest__xml__output__unittest_1_1GTestXMLOutputUnitTest.html#a01ca66e14468028e5c4eb809987113cf">testDefaultOutputFile</a> (self)</td></tr>
<tr class="separator:a01ca66e14468028e5c4eb809987113cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6df46d6831892e4c14dbdfae0049618"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgtest__xml__output__unittest_1_1GTestXMLOutputUnitTest.html#ac6df46d6831892e4c14dbdfae0049618">testSuppressedXmlOutput</a> (self)</td></tr>
<tr class="separator:ac6df46d6831892e4c14dbdfae0049618"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a572b6d49e8f4d646ebdadcced3d260ef"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgtest__xml__output__unittest_1_1GTestXMLOutputUnitTest.html#a572b6d49e8f4d646ebdadcced3d260ef">testFilteredTestXmlOutput</a> (self)</td></tr>
<tr class="separator:a572b6d49e8f4d646ebdadcced3d260ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc6a611bd7c433ecd84876dcb2ac1df1"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgtest__xml__output__unittest_1_1GTestXMLOutputUnitTest.html#adc6a611bd7c433ecd84876dcb2ac1df1">testShardedTestXmlOutput</a> (self)</td></tr>
<tr class="separator:adc6a611bd7c433ecd84876dcb2ac1df1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classgtest__xml__test__utils_1_1GTestXMLTestCase"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classgtest__xml__test__utils_1_1GTestXMLTestCase')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classgtest__xml__test__utils_1_1GTestXMLTestCase.html">gtest_xml_test_utils.GTestXMLTestCase</a></td></tr>
<tr class="memitem:a977273e8863f4f41d121bb5a64b08d32 inherit pub_methods_classgtest__xml__test__utils_1_1GTestXMLTestCase"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgtest__xml__test__utils_1_1GTestXMLTestCase.html#a977273e8863f4f41d121bb5a64b08d32">AssertEquivalentNodes</a> (self, expected_node, actual_node)</td></tr>
<tr class="separator:a977273e8863f4f41d121bb5a64b08d32 inherit pub_methods_classgtest__xml__test__utils_1_1GTestXMLTestCase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4823e96c3b5327b25a340a3605447d9 inherit pub_methods_classgtest__xml__test__utils_1_1GTestXMLTestCase"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgtest__xml__test__utils_1_1GTestXMLTestCase.html#ac4823e96c3b5327b25a340a3605447d9">NormalizeXml</a> (self, element)</td></tr>
<tr class="separator:ac4823e96c3b5327b25a340a3605447d9 inherit pub_methods_classgtest__xml__test__utils_1_1GTestXMLTestCase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_static_attribs_classgtest__xml__test__utils_1_1GTestXMLTestCase"><td colspan="2" onclick="javascript:toggleInherit('pub_static_attribs_classgtest__xml__test__utils_1_1GTestXMLTestCase')"><img src="closed.png" alt="-"/>&#160;Static Public Attributes inherited from <a class="el" href="classgtest__xml__test__utils_1_1GTestXMLTestCase.html">gtest_xml_test_utils.GTestXMLTestCase</a></td></tr>
<tr class="memitem:a0e3a4e84e18f29d2248dcd670a0a6ae6 inherit pub_static_attribs_classgtest__xml__test__utils_1_1GTestXMLTestCase"><td class="memItemLeft" align="right" valign="top">dictionary&#160;</td><td class="memItemRight" valign="bottom"><b>identifying_attribute</b></td></tr>
<tr class="separator:a0e3a4e84e18f29d2248dcd670a0a6ae6 inherit pub_static_attribs_classgtest__xml__test__utils_1_1GTestXMLTestCase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Unit test for Google Test's XML output functionality.
</pre> </div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a01ca66e14468028e5c4eb809987113cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a01ca66e14468028e5c4eb809987113cf">&#9670;&nbsp;</a></span>testDefaultOutputFile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def gtest_xml_output_unittest.GTestXMLOutputUnitTest.testDefaultOutputFile </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Confirms that Google Test produces an XML output file with the expected
default name if no name is explicitly specified.
</pre> 
</div>
</div>
<a id="a9602f91fe2e9d1e09171a032e94a5619"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9602f91fe2e9d1e09171a032e94a5619">&#9670;&nbsp;</a></span>testEmptyXmlOutput()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def gtest_xml_output_unittest.GTestXMLOutputUnitTest.testEmptyXmlOutput </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Verifies XML output for a Google Test binary without actual tests.

Runs a test program that generates an empty XML output, and
tests that the XML output is expected.
</pre> 
</div>
</div>
<a id="a572b6d49e8f4d646ebdadcced3d260ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a572b6d49e8f4d646ebdadcced3d260ef">&#9670;&nbsp;</a></span>testFilteredTestXmlOutput()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def gtest_xml_output_unittest.GTestXMLOutputUnitTest.testFilteredTestXmlOutput </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Verifies XML output when a filter is applied.

Runs a test program that executes only some tests and verifies that
non-selected tests do not show up in the XML output.
</pre> 
</div>
</div>
<a id="a310c136c1eb2b421f57651a7d358b17a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a310c136c1eb2b421f57651a7d358b17a">&#9670;&nbsp;</a></span>testNonEmptyXmlOutput()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def gtest_xml_output_unittest.GTestXMLOutputUnitTest.testNonEmptyXmlOutput </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Runs a test program that generates a non-empty XML output, and
tests that the XML output is expected.
</pre> 
</div>
</div>
<a id="adc6a611bd7c433ecd84876dcb2ac1df1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc6a611bd7c433ecd84876dcb2ac1df1">&#9670;&nbsp;</a></span>testShardedTestXmlOutput()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def gtest_xml_output_unittest.GTestXMLOutputUnitTest.testShardedTestXmlOutput </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Verifies XML output when run using multiple shards.

Runs a test program that executes only one shard and verifies that tests
from other shards do not show up in the XML output.
</pre> 
</div>
</div>
<a id="ac6df46d6831892e4c14dbdfae0049618"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac6df46d6831892e4c14dbdfae0049618">&#9670;&nbsp;</a></span>testSuppressedXmlOutput()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def gtest_xml_output_unittest.GTestXMLOutputUnitTest.testSuppressedXmlOutput </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests that no XML file is generated if the default XML listener is
shut down before RUN_ALL_TESTS is invoked.
</pre> 
</div>
</div>
<a id="a828521a7ae57f650e1e9ca4beb34336a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a828521a7ae57f650e1e9ca4beb34336a">&#9670;&nbsp;</a></span>testTimestampValue()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def gtest_xml_output_unittest.GTestXMLOutputUnitTest.testTimestampValue </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Checks whether the timestamp attribute in the XML output is valid.

Runs a test program that generates an empty XML output, and checks if
the timestamp attribute in the testsuites tag is valid.
</pre> 
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>gtest_xml_output_unittest.py</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>gtest_xml_output_unittest</b></li><li class="navelem"><a class="el" href="classgtest__xml__output__unittest_1_1GTestXMLOutputUnitTest.html">GTestXMLOutputUnitTest</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
